# $Revision: 1.52.2.2 $, $Date: 2006/07/18 22:54:10 $

%bcond_without	kde		# KDE UI as the default one
%bcond_with	gtk		# use gtk2 UI instead
%bcond_with	gnome		# use libgnome2 UI instead
%bcond_with	glut		# use glut UI instead

%if %{with gtk} || %{with gnome} || %{with glut}
%undefine	with_kde
%endif

Summary:	A real-time visual space simulation
Summary(pl):	Symulacja przestrzeni kosmicznej w czasie rzeczywistym
Name:		celestia
Version:	1.4.1
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	http://dl.sourceforge.net/celestia/%{name}-%{version}.tar.gz
# Source0-md5:	be1d36fc97a13b9a276249dbc0efac41
Patch0:		%{name}-lua50.patch
Patch1:		%{name}-makefile.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-extras.patch
Patch4:		%{name}-desktop.patch
URL:		http://www.shatters.net/celestia/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_glut:BuildRequires:	glut-devel >= 3.7}
%if %{with gtk} || %{with gnome}
BuildRequires:	cairo-devel
BuildRequires:	gtk+2-devel >= 2.6
BuildRequires:	gtkglext-devel
%endif
%{?with_kde:BuildRequires:	kdelibs-devel}
%{?with_gnome:BuildRequires:	libgnomeui-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	lua50-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	OpenGL
# celestia < 1.4 original packages
Obsoletes:	celestia-extrasolar
Obsoletes:	celestia-generator
Obsoletes:	celestia-stars
Obsoletes:	celestia-task-default
# texture replacement addons, virtual provides
Obsoletes:	celestia-textures-earth
Obsoletes:	celestia-textures-earth-clouds
Obsoletes:	celestia-textures-earth-night
Obsoletes:	celestia-textures-galileanmoons
Obsoletes:	celestia-textures-mars
Obsoletes:	celestia-textures-mars-bumpmap
Obsoletes:	celestia-textures-mercury
Obsoletes:	celestia-textures-mercury-bumpmap
Obsoletes:	celestia-textures-moon
Obsoletes:	celestia-textures-moon-bumpmap
# celestia addons
Obsoletes:	celestia-blackhole
Obsoletes:	celestia-galaxies_extended
Obsoletes:	celestia-galaxy_clusters
Obsoletes:	celestia-globular_clusters
Obsoletes:	celestia-im-starwars
Obsoletes:	celestia-pathfinder
Obsoletes:	celestia-voyager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%description -l pl
Celestia to wolny symulator przestrzeni komicznej w czasie
rzeczywistym, ktry pozwala dowiadcza naszego Wszechwiata w trzech
wymiarach. W odrnieniu od innych programw planetarnych Celestia nie
przywizuje Ci do powierzchni ziemi. Moesz podrowa przez Ukad
Soneczny do ponad 100,000 gwiazd lub nawet poza galaktyk. Wszystkie
podre w Celestii s niezauwaalne; funkcja wykadniczego
przyblienia pozwala Ci odkrywa Kosmos w rnych skalach - od
spojrzenia na galaktyki do widoku kilkumetrowych statkw kosmicznych.
Interfejs typu 'poka-i-le' czyni nawigacj przez Wszechwiat prost.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# ugly hack not to require GConf2-devel if we're not building gnome version
%{!?with_gnome:sed -i "s#AM_GCONF_SOURCE_2##g" configure.in}

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common

%configure \
	%{?with_kde:--with-kde} \
	%{?with_gtk:--with-gtk} \
	%{?with_gnome:--with-gnome} \
	%{?with_glut:--with-glut} \
	--disable-rpath \
	--with-lua \
	--with-xinerama \
	--with-qt-dir=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	appsdir=%{_desktopdir}/kde

# desktop/icon
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
%{!?with_kde:install src/celestia/kde/data/celestia.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop}
install src/celestia/kde/data/hi48-app-celestia.png $RPM_BUILD_ROOT%{_pixmapsdir}/celestia.png

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with gnome}
%post
%gconf_schema_install celestia.schemas

%preun
%gconf_schema_uninstall celestia.schemas
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS TODO controls.txt ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/celestia
%{_pixmapsdir}/*
%if %{with kde}
%{_datadir}/apps/celestia
%{_datadir}/config/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_iconsdir}/*/*/apps/%{name}.png
%{_desktopdir}/kde/*
%else
%{_desktopdir}/*
%endif
%{?with_gnome:%{_sysconfdir}/gconf/schemas/celestia.schemas}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: celestia.spec,v $
Revision 1.52.2.2  2006/07/18 22:54:10  havner
- rel 2 for fixed desktop patch

Revision 1.52.2.1  2006/07/07 17:45:46  havner
- 1.4.1, HEAD merge

Revision 1.57  2006/06/29 22:59:15  havner
- 1.4.1
- manual for KDE: done
- obsoletes: done
- bconds for 4 availables UIs
  kde - the default one, the only one with help
  gtk - gtk2 UI (seems it got pretty well updated)
  gnome - same as gtk2 + libgnomeui and GConf2 configuration support
  glut - very raw without any menus it seems
- lua patch, get lua flags from pkg-config
- fixed makefile patch (KDE splash working now)
- desktop patch instead of .desktop source
- dont require GConf2 if not building gnome version
- tested and works (all 4 UIs)
- all other celestia*.spec are to be removed

Revision 1.56  2005/12/25 00:44:21  wolf
- 1.4.0
- get rid of old texture packages system, use ~/.celestia to put extra
  textures, objects, etc
  (http://lepp.cornell.edu/~seb/celestia/addon-intro.html)
- TODO: obsoletes
- TODO: makefiles in docs

Revision 1.55  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.54  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.53  2005/05/30 21:00:01  zbyniu
- BR: pkgconfig

Revision 1.52  2005/05/24 16:34:46  ankry
- rel. .2

Revision 1.51  2005/05/24 16:12:23  ankry
- attempt to fix amd64 build

Revision 1.50  2005/02/02 16:26:40  wolf
- ati patch won't be needed

Revision 1.49  2005/01/11 21:37:35  wolf
- snap 20050111
